#!/usr/bin/env bash

set -euo pipefail

# Pull the patches repository
git pull

# Do we have the Vencord sources cloned?
if [ -e Vencord/.git ]; then
	# Update sources
	cd Vencord
	git fetch
else
	# Clone sources
	git clone https://github.com/Vendicated/Vencord.git Vencord
	cd Vencord
fi

# Reset vexcord branch and apply patches
git checkout -B vexcord origin/main
git am ../vencord-patches/*.patch

# Build vencord
pnpm i --frozen-lockfile
node scripts/build/build.mjs
